Exiv2::ExifTags Class Reference

Access to Exif group and tag lists and misc. tag reference methods, implemented as a static class. More...

`#include <tags.hpp>`

## Static Public Member Functions

static const GroupInfo * | groupList ()
| Return read-only list of built-in groups.
static const TagInfo * | tagList (const std::string &groupName)
| Return read-only list of built-in groupName tags.
static void | taglist (std::ostream &os)
| Print a list of all standard Exif tags to output stream.
static void | taglist (std::ostream &os, const std::string &groupName)
| Print the list of tags for groupName.
static const char * | sectionName (const ExifKey &key)
| Return the name of the section for an Exif key.
static uint16_t | defaultCount (const ExifKey &key)
| Return the default number of components (not bytes!) key has. (0=any, -1=count not known)
static const char * | ifdName (const std::string &groupName)
| Return the name of the IFD for the group.
static bool | isMakerGroup (const std::string &groupName)
| Return true if groupName is a makernote group.
static bool | isExifGroup (const std::string &groupName)
| Return true if groupName is a TIFF or Exif IFD, else false. This is used to differentiate between standard Exif IFDs and IFDs associated with the makernote.

## Detailed Description

Access to Exif group and tag lists and misc. tag reference methods, implemented as a static class.

The documentation for this class was generated from the following files:

- tags.hpp
- tags.cpp